Summary:        Creates Logitech P710e Speakerphone configuration for CentOS 7
Name:           logitech-p710e-config
Version:        0.1
Release:        1%{?dist}
License:        GPLv2
Group:          System Environment/Base
Source0:        %{name}-%{version}.tgz

Requires: systemd


%description
Package to configure udev/hwdb rules and X11 setup for Logitech 
H710e speakerphone (http://www.logitech.com/en-ch/product/p710e-speakerphone)
preventing X11 keyboard/mouse lockups and mapping buttons.
Note: 

microphone mute is mapped to X11 mouse button 7
telephone button is mapped to X11 mouse button 8
call end button is not mapped for now.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/udev/hwdb.d/
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/

install -m 644 90-logitech-P710e.hwdb $RPM_BUILD_ROOT/usr/lib/udev/hwdb.d/
install -m 644 90-logitech-P710e.rules $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 90-logitech-P710e.conf $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/

%post
/sbin/udevadm hwdb --update ||:
/sbin/udevadm control --reload ||:

%postun 
/sbin/udevadm hwdb --update ||:
/sbin/udevadm control --reload ||:

%files
%doc README
/usr/lib/udev/hwdb.d/90-logitech-P710e.hwdb
/etc/udev/rules.d/90-logitech-P710e.rules
/etc/X11/xorg.conf.d/90-logitech-P710e.conf


%changelog
* Fri Dec 02 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial release.


